## libzypp 17.25.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
PROJECT(LIBZYPP)
SET( PACKAGE "libzypp" )
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET( CMAKE_MODULE_PATH ${LIBZYPP_SOURCE_DIR}/cmake/modules )
INCLUDE(ZyppCommon)

OPTION (ENABLE_BUILD_DOCS "Build documentation by default?" OFF)
OPTION (ENABLE_BUILD_TRANS "Build translation files by default?" OFF)
OPTION (ENABLE_BUILD_TESTS "Build and run test suite by default?" OFF)
OPTION (ENABLE_USE_THREADS "Enable using threads (NOT being used by threads!)?" OFF)
OPTION (ENABLE_ZSTD_COMPRESSION "Build with zstd compression support?" OFF)
OPTION (ENABLE_ZCHUNK_COMPRESSION "Build with zchunk compression support?" OFF)
OPTION (DISABLE_MEDIABACKEND_TESTS "Disable Tests depending on Nginx and libfcgi?" OFF)

OPTION (DISABLE_LIBPROXY "Build without libproxy support even if package is installed?" OFF)
OPTION (DISABLE_AUTODOCS "Do not require doxygen being installed (required to build autodocs)?" OFF)
OPTION (EXPORT_NG_API "Export experimental libzypp API" OFF)
#--------------------------------------------------------------------------------
SET (have_system x)

IF (DEBIAN)
  MESSAGE (STATUS "Building for Debian")
  SET (ENABLE_BUILD_DOCS ON)
  SET (ENABLE_BUILD_TRANS ON)
  SET (ENABLE_BUILD_TESTS ON)
  SET (have_system ${have_system}x)
ENDIF (DEBIAN)

IF (${have_system} STREQUAL x)
  MESSAGE (STATUS "Building for SUSE")
ENDIF (${have_system} STREQUAL x)

IF (${have_system} STRGREATER xx)
  MESSAGE (FATAL_ERROR "Can only build for one system type.")
ENDIF (${have_system} STRGREATER xx)
#--------------------------------------------------------------------------------

# allow name libraries by name mixed with full
# paths
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(FindPkgConfig)
INCLUDE( ${LIBZYPP_SOURCE_DIR}/VERSION.cmake )

MATH( EXPR LIBZYPP_NUMVERSION "${LIBZYPP_MAJOR} * 10000 + ${LIBZYPP_MINOR} * 100 + ${LIBZYPP_PATCH}" )
MATH( EXPR LIBZYPP_CURRENT "${LIBZYPP_MAJOR} * 100 + ${LIBZYPP_MINOR}" )
MATH( EXPR LIBZYPP_AGE     "${LIBZYPP_MINOR} - ${LIBZYPP_COMPATMINOR}" )
# Libtool wanted current:patch:age
# But cmake is not libtool, it wants the verbatim suffix to libzypp.so
MATH( EXPR LIBZYPP_SO_FIRST  "${LIBZYPP_CURRENT}-${LIBZYPP_AGE}" )
SET( VERSION "${LIBZYPP_MAJOR}.${LIBZYPP_MINOR}.${LIBZYPP_PATCH}" )
CONFIGURE_FILE ( zypp/APIConfig.h.in zypp/APIConfig.h )

SET (CMAKE_CXX_STANDARD ${ZYPPCOMMON_CXX_STANDARD})
SET (CMAKE_CXX_EXTENSIONS OFF)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
CHECK_C_COMPILER_FLAG("-Werror=format-security" CC_FORMAT_SECURITY)
CHECK_CXX_COMPILER_FLAG("-Werror=format-security" CXX_FORMAT_SECURITY)

SET( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -fno-strict-aliasing -fPIC -g -Wall -Wp,-D_GLIBCXX_ASSERTIONS" )
SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-aliasing -fPIC -g -Wall -Wp,-D_GLIBCXX_ASSERTIONS" )

SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden -Woverloaded-virtual -Wnon-virtual-dtor" )

set( CMAKE_C_FLAGS_RELEASE     "${CMAKE_C_FLAGS} -O3 -DZYPP_NDEBUG" )
set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} -O3 -DZYPP_NDEBUG" )

IF(${CC_FORMAT_SECURITY})
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=format-security")
ENDIF(${CC_FORMAT_SECURITY})

IF(${CXX_FORMAT_SECURITY})
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=format-security")
ENDIF(${CXX_FORMAT_SECURITY})

if ( NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  #cli args ignored by clang, it still prints a noisy warning though
  SET( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -rdynamic -Wl,-as-needed" )
  SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -rdynamic -Wl,-as-needed" )
endif()

INCLUDE(CheckFunctionExists)
CHECK_FUNCTION_EXISTS(pipe2 PIPE2_FOUND)
IF(${PIPE2_FOUND})
  ADD_DEFINITIONS(-DHAVE_PIPE2)
ENDIF(${PIPE2_FOUND})

ADD_DEFINITIONS( -D_FILE_OFFSET_BITS=64 )
SET( LIBZYPP_VERSION_INFO "${LIBZYPP_SO_FIRST}.${LIBZYPP_AGE}.${LIBZYPP_PATCH}" )
SET( LIBZYPP_SOVERSION_INFO "${LIBZYPP_SO_FIRST}" )

GENERATE_PACKAGING(${PACKAGE} ${VERSION})

INCLUDE(CPack)

MACRO(ADD_TESTS)
  FOREACH( loop_var ${ARGV} )
    SET_SOURCE_FILES_PROPERTIES( ${loop_var}_test.cc COMPILE_FLAGS "-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN -DBOOST_AUTO_TEST_MAIN=\"\" " )
    ADD_EXECUTABLE( ${loop_var}_test ${loop_var}_test.cc )

    SET(TEST_REQ_LIBS zypp-allsym ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY} )
    IF(NOT DISABLE_MEDIABACKEND_TESTS)
      LIST( APPEND TEST_REQ_LIBS zypp_test_utils)
    ENDIF()

    TARGET_LINK_LIBRARIES( ${loop_var}_test ${TEST_REQ_LIBS} )
    ADD_TEST( ${loop_var}_test ${CMAKE_CURRENT_BINARY_DIR}/${loop_var}_test --catch_system_errors=no)
  ENDFOREACH( loop_var )
ENDMACRO(ADD_TESTS)

####################################################################

IF ( ENABLE_USE_THREADS )
  SET( CMAKE_THREAD_PREFER_PTHREAD TRUE )
  FIND_PACKAGE( Threads REQUIRED )
  IF ( CMAKE_USE_PTHREADS_INIT )
    MESSAGE( STATUS "May use threads." )
    SET( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -pthread -DZYPP_USE_THREADS" )
    SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -DZYPP_USE_THREADS" )
  ENDIF ( CMAKE_USE_PTHREADS_INIT )
ENDIF ( ENABLE_USE_THREADS )

INCLUDE(CheckSymbolExists)
FIND_PACKAGE(Rpm REQUIRED)
IF ( NOT RPM_FOUND)
  MESSAGE( FATAL_ERROR " rpm-devel not found" )
ELSE ( NOT RPM_FOUND)
  INCLUDE_DIRECTORIES(${RPM_INCLUDE_DIR})
  # fix includes not relative to rpm
  INCLUDE_DIRECTORIES(${RPM_INCLUDE_DIR}/rpm)

  # rpmtsSetVfyFlags were introduced in rpm-4.15
  UNSET( RPMTSSETVFYFLAGS_FOUND CACHE )
  SET( CMAKE_REQUIRED_LIBRARIES "-lrpm" )
  CHECK_SYMBOL_EXISTS( rpmtsSetVfyFlags rpm/rpmts.h RPMTSSETVFYFLAGS_FOUND )
  IF ( NOT RPMTSSETVFYFLAGS_FOUND )
    ADD_DEFINITIONS( -DHAVE_NO_RPMTSSETVFYFLAGS )
  ENDIF ()

  if ( RPM_SUSPECT_VERSION STREQUAL "5.x" )
  	MESSAGE( STATUS "rpm found: enable rpm-4 compat interface." )
  	ADD_DEFINITIONS(-D_RPM_5)
  endif ( RPM_SUSPECT_VERSION STREQUAL "5.x" )
ENDIF( NOT RPM_FOUND)

FIND_PACKAGE(Boost REQUIRED COMPONENTS program_options unit_test_framework thread)
IF (Boost_FOUND)
  MESSAGE( STATUS "boost found: includes in ${Boost_INCLUDE_DIRS}, library in ${Boost_LIBRARY_DIRS}")
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
ENDIF(Boost_FOUND)

FIND_PACKAGE(Gettext REQUIRED)
IF (GETTEXT_FOUND)
  MESSAGE(STATUS "Found Gettext: ${GETTEXT_SOURCE}")
  INCLUDE_DIRECTORIES(${GETTEXT_INCLUDE_DIR})
ELSE (GETTEXT_FOUND)
  MESSAGE( FATAL_ERROR "Gettext not found" )
ENDIF (GETTEXT_FOUND)

FIND_PACKAGE(CURL REQUIRED)
IF ( NOT CURL_FOUND)
  MESSAGE( FATAL_ERROR " curl not found" )
ELSE ( NOT CURL_FOUND)
  INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
ENDIF( NOT CURL_FOUND)

FIND_PACKAGE(LibXml2 REQUIRED)
IF ( NOT LIBXML2_FOUND)
  MESSAGE( FATAL_ERROR " libxml not found" )
ELSE ( NOT LIBXML2_FOUND)
  INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
ENDIF( NOT LIBXML2_FOUND)

FIND_PACKAGE(ZLIB REQUIRED)
IF ( NOT ZLIB_FOUND)
  MESSAGE( FATAL_ERROR " zlib not found" )
ELSE ( NOT ZLIB_FOUND)
  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
ENDIF( NOT ZLIB_FOUND)


FIND_PACKAGE(YAML-CPP REQUIRED)
IF ( NOT YAML-CPP_FOUND)
  MESSAGE( FATAL_ERROR " yaml-cpp not found" )
ELSE ( NOT YAML-CPP_FOUND)
  INCLUDE_DIRECTORIES(${YAML_CPP_INCLUDE_DIR})
ENDIF( NOT YAML-CPP_FOUND)



#Allow to override the libsolv install location
IF( LIBSOLV_SRCDIR AND LIBSOLV_BUILDDIR )
  execute_process(
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/libsolv
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/libsolv/include
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/libsolv/ext
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/libsolv/solvversion
    COMMAND ${CMAKE_COMMAND} -E create_symlink ${LIBSOLV_SRCDIR}/src ${CMAKE_BINARY_DIR}/libsolv/include/solv
    COMMAND ${CMAKE_COMMAND} -E create_symlink ${LIBSOLV_SRCDIR}/ext ${CMAKE_BINARY_DIR}/libsolv/ext/solv
    COMMAND ${CMAKE_COMMAND} -E create_symlink ${LIBSOLV_BUILDDIR}/src ${CMAKE_BINARY_DIR}/libsolv/solvversion/solv
  )

  INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR}/libsolv/include ${CMAKE_BINARY_DIR}/libsolv/ext ${CMAKE_BINARY_DIR}/libsolv/solvversion ${CMAKE_BINARY_DIR}/libsolv/solvversion/solv ${CMAKE_BINARY_DIR}/libsolv/ext/solv ${CMAKE_BINARY_DIR}/libsolv/include/solv )
  SET( LibSolv_LIBRARIES ${LIBSOLV_BUILDDIR}/ext/libsolvext.a ${LIBSOLV_BUILDDIR}/src/libsolv.a )

ELSE()
  FIND_PACKAGE(LibSolv REQUIRED ext)
  #SET(LibSolv_USE_STATIC_LIBS ON)
  IF ( NOT LibSolv_FOUND )
    MESSAGE( FATAL_ERROR " libsolv not found" )
  ELSE()
    INCLUDE_DIRECTORIES( ${LibSolv_INCLUDE_DIRS} )
    # static case: Assert libsolv.a ist the last one linked
    SET(LibSolv_LIBRARIES ${LibSolv_LIBRARIES} ${LIBSOLV_LIBRARY})
  ENDIF()
ENDIF( LIBSOLV_SRCDIR AND LIBSOLV_BUILDDIR )

FIND_PACKAGE(Gpgme REQUIRED)
IF ( NOT GPGME_PTHREAD_FOUND )
  MESSAGE( FATAL_ERROR " gpgme not found" )
ELSE()
  INCLUDE_DIRECTORIES( ${GPGME_INCLUDES} )
  LINK_DIRECTORIES(${GPGME_LIBRARY_DIR})
ENDIF()

FIND_PACKAGE(OpenSSL REQUIRED)

FIND_PACKAGE(Udev)
IF ( NOT UDEV_FOUND )
  MESSAGE(WARNING "No udev found. CD device detection will be poor")
ELSE ( NOT UDEV_FOUND )
  ADD_DEFINITIONS(-DHAVE_UDEV)
ENDIF ( NOT UDEV_FOUND )

IF( DISABLE_LIBPROXY )
  MESSAGE( STATUS "libproxy support disabled" )
ELSE( DISABLE_LIBPROXY )
  FIND_PACKAGE(libproxy)
  IF ( NOT LIBPROXY_FOUND )
    MESSAGE( STATUS "libproxy not found" )
  ELSE ( NOT LIBPROXY_FOUND )
    INCLUDE_DIRECTORIES( ${LIBPROXY_INCLUDE_DIR} )
    ADD_DEFINITIONS(-DWITH_LIBPROXY_SUPPORT)
  ENDIF( NOT LIBPROXY_FOUND )
ENDIF( DISABLE_LIBPROXY )

FIND_PROGRAM( DOXYGEN doxygen )
IF ( NOT DOXYGEN )
  IF ( DISABLE_AUTODOCS )
    MESSAGE( STATUS "doxygen is not available. Can't build the documentation." )
  ELSE ( DISABLE_AUTODOCS )
    MESSAGE( FATAL_ERROR "doxygen not found: install doxygen to build the documentation!" )
  ENDIF ( DISABLE_AUTODOCS )
ELSE ( NOT DOXYGEN )
  MESSAGE( STATUS "doxygen found: ${DOXYGEN}" )
ENDIF ( NOT DOXYGEN )

# By now just libsolvs external references require us to link against it:
IF (ENABLE_ZSTD_COMPRESSION)
  MESSAGE("Building with zstd support enabled.")
  FIND_LIBRARY (ZSTD_LIBRARY NAMES zstd)
  FIND_PATH (ZSTD_INCLUDE_DIRS zstd.h)
  #INCLUDE_DIRECTORIES (${ZSTD_INCLUDE_DIRS})
ENDIF (ENABLE_ZSTD_COMPRESSION)

IF (ENABLE_ZCHUNK_COMPRESSION)
  MESSAGE("Building with zchunk support enabled.")
  PKG_CHECK_MODULES (ZCHUNK zck REQUIRED)
  SET( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} ${ZCHUNK_CFLAGS}" )
  SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${ZCHUNK_CFLAGS}" )
  ADD_DEFINITIONS (-DENABLE_ZCHUNK_COMPRESSION=1)
ENDIF(ENABLE_ZCHUNK_COMPRESSION)

pkg_check_modules ( SIGCPP REQUIRED sigc++-2.0 )
INCLUDE_DIRECTORIES( ${SIGCPP_INCLUDE_DIRS} )

pkg_check_modules ( LIBGLIB REQUIRED glib-2.0 )
INCLUDE_DIRECTORIES( ${LIBGLIB_INCLUDE_DIRS} )

MESSAGE(STATUS "soname: ${LIBZYPP_VERSION_INFO}")
MESSAGE(STATUS "version: ${VERSION}")

MESSAGE(STATUS "Writing pkg-config file...")
CONFIGURE_FILE(${LIBZYPP_SOURCE_DIR}/libzypp.pc.cmake ${LIBZYPP_BINARY_DIR}/libzypp.pc @ONLY)
INSTALL( FILES ${LIBZYPP_BINARY_DIR}/libzypp.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )

MESSAGE(STATUS "FindZypp.cmake will be installed in ${CMAKE_INSTALL_PREFIX}/share/cmake/Modules")
INSTALL( FILES ${LIBZYPP_SOURCE_DIR}/cmake/modules/FindZypp.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/Modules )
INSTALL( FILES ${LIBZYPP_SOURCE_DIR}/cmake/modules/ZyppCommon.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/Modules )

####################################################################
# config templates
# (don't forget to mention them in the .spec file)
####################################################################

MESSAGE(STATUS "zypp.conf will be installed in ${SYSCONFDIR}/zypp")
INSTALL( FILES ${LIBZYPP_SOURCE_DIR}/zypp.conf DESTINATION ${SYSCONFDIR}/zypp )

MESSAGE(STATUS "needreboot will be installed in ${SYSCONFDIR}/zypp/")

=== tests/CMakeLists.txt ===

ADD_DEFINITIONS( -DTESTS_SRC_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DTESTS_BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}" )

IF( NOT DISABLE_MEDIABACKEND_TESTS )
ADD_SUBDIRECTORY(lib)
ENDIF()

ENABLE_TESTING()
INCLUDE_DIRECTORIES( ${LIBZYPP_SOURCE_DIR}/tests/lib )

ADD_SUBDIRECTORY( media )
ADD_SUBDIRECTORY( zypp )
ADD_SUBDIRECTORY( parser )
ADD_SUBDIRECTORY( repo )
ADD_SUBDIRECTORY( sat )
ADD_SUBDIRECTORY( zyppng )

ADD_CUSTOM_TARGET( ctest
   COMMAND ctest -VV -a
)

=== tools/CMakeLists.txt ===
## ############################################################

FILE( GLOB ALLCC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.cc" )
STRING( REPLACE ".cc" ";" APLLPROG ${ALLCC} )
FOREACH( loop_var ${APLLPROG} )
  ADD_EXECUTABLE( ${loop_var}
    ${loop_var}.cc
  )
  TARGET_LINK_LIBRARIES( ${loop_var}
    zypp
    ${Boost_PROGRAM_OPTIONS_LIBRARY}
  )
ENDFOREACH( loop_var )

## ############################################################

INSTALL(TARGETS zypp-CheckAccessDeleted DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
INSTALL(TARGETS zypp-NameReqPrv		DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")

=== zypp/CMakeLists.txt ===
# Collect all files that may contain translatable texts
FILE( GLOB_RECURSE POT_FILE_DEPENDS RELATIVE ${LIBZYPP_SOURCE_DIR} "*.h" "*.cc" )
SET( POT_FILE_DEPENDS ${POT_FILE_DEPENDS} PARENT_SCOPE )


ADD_DEFINITIONS(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale" -DTEXTDOMAIN="zypp" -DZYPP_DLL )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

IF (ENABLE_ZCHUNK_COMPRESSION)
  INCLUDE_DIRECTORIES( ${ZCHUNK_INCLUDEDIR} )
ENDIF(ENABLE_ZCHUNK_COMPRESSION)
#FILE(WRITE filename "message to write"... )

SET( zypp_SRCS
  Application.cc
  ByteCount.cc
  Capabilities.cc
  Capability.cc
  CapMatch.cc
  Changelog.cc
  CheckSum.cc
  CpeId.cc
  Date.cc
  Dep.cc
  Digest.cc
  DiskUsageCounter.cc
  DownloadMode.cc
  Edition.cc
  ExternalProgram.cc
  PluginFrame.cc
  PluginFrameException.cc
  PluginScript.cc
  PluginScriptException.cc
  PluginExecutor.cc
  Fetcher.cc
  FileChecker.cc
  Glob.cc
  HistoryLog.cc
  HistoryLogData.cc
  IdString.cc
  InstanceId.cc
  KeyManager.cc
  KeyRing.cc
  Locks.cc
  MediaSetAccess.cc
  OnMediaLocation.cc
  Package.cc
  Patch.cc
  PathInfo.cc
  Pathname.cc
  Pattern.cc
  PoolItem.cc
  PoolItemBest.cc
  PoolQuery.cc
  PoolQueryResult.cc
  ProblemSolution.cc
  Product.cc
  ProgressData.cc
  ProvideFilePolicy.cc
  PublicKey.cc
  PurgeKernels.cc
  Range.cc
  Rel.cc
  RepoInfo.cc
  RepoManager.cc
  Repository.cc
  RepoStatus.cc
  ResKind.cc
  ResObject.cc
  Resolvable.cc
  Resolver.cc
  ResolverFocus.cc
  ResolverProblem.cc
  ResPool.cc
  ResPoolProxy.cc
  ResStatus.cc
  ServiceInfo.cc
  Signature.cc
  SrcPackage.cc
  ShutdownLock.cc
  SysContent.cc
  Target.cc
  TmpPath.cc
  Url.cc
  VendorAttr.cc
  VendorSupportOptions.cc
  ZYpp.cc
  ZYppCommitPolicy.cc
  ZYppCommitResult.cc
  ZYppFactory.cc
)
SET( zypp_EARLY_SRCS
  ZConfig.cc
  Arch.cc
  Locale.cc
  CountryCode.cc
  LanguageCode.cc
)

SET( zypp_HEADERS
  ${CMAKE_CURRENT_BINARY_DIR}/APIConfig.h
  Application.h
  Arch.h
  AutoDispose.h
  Bit.h
  Bitmap.h
  ByteCount.h
  Callback.h
  Capabilities.h
  Capability.h
  CapMatch.h
  Changelog.h
  CheckSum.h
  ContentType.h
  CountryCode.h
  CpeId.h
  Date.h
  Dep.h
  Digest.h
  DiskUsageCounter.h
  DownloadMode.h
  Edition.h
  ExternalProgram.h
  PluginFrame.h
  PluginFrameException.h
  PluginScript.h
  PluginScriptException.h
  PluginExecutor.h
  Fetcher.h
  FileChecker.h
  Glob.h
  HistoryLog.h
  HistoryLogData.h
  IdString.h
  IdStringType.h
  InstanceId.h
  KeyContext.h
  KeyManager.h
  KeyRing.h
  KVMap.h
  LanguageCode.h
  Locale.h
  Locks.h
  ManagedFile.h
  MediaProducts.h
  MediaSetAccess.h
  Vendor.h
  OnMediaLocation.h
  Package.h
  PackageKeyword.h
  Patch.h
  PathInfo.h
  Pathname.h
  Pattern.h
  PoolItem.h
  PoolItemBest.h
  PoolQuery.h
  PoolQueryUtil.tcc
  PoolQueryResult.h
  ProblemSolution.h
  ProblemTypes.h
  Product.h
  ProgressData.h
  ProvideFilePolicy.h
  PublicKey.h
  PurgeKernels.h
  Range.h
  RelCompare.h
  Rel.h
  RepoInfo.h
  RepoManager.h
  Repository.h
  RepoStatus.h
  Filter.h
  ResFilters.h
  ResKind.h
  ResObject.h
  ResObjects.h
  Resolvable.h
  Resolver.h
  ResolverFocus.h
  ResolverNamespace.h
  ResolverProblem.h
  ResPool.h
  ResPoolProxy.h
  ResStatus.h
  ResTraits.h
  ServiceInfo.h
  Signature.h
  SrcPackage.h
  SysContent.h
  Target.h
  TmpPath.h
  TriBool.h
  Url.h
  UserData.h
  VendorAttr.h
  VendorSupportOptions.h
  ZConfig.h
  ZYppCallbacks.h
  ZYppCommit.h
  ZYppCommitPolicy.h
  ZYppCommitResult.h
  ZYppFactory.h
  ZYpp.h
)

INSTALL(  FILES ${zypp_HEADERS} DESTINATION "${INCLUDE_INSTALL_DIR}/zypp" )

SET( zypp_base_SRCS
  base/Backtrace.cc
  base/CleanerThread.cc
  base/DrunkenBishop.cc
  base/SerialNumber.cc
  base/Random.cc
  base/Measure.cc
  base/Gettext.cc
  base/GzStream.cc
  base/IOStream.cc
  base/IOTools.cc
  base/InputStream.cc
  base/ReferenceCounted.cc
  base/SetRelationMixin.cc
  base/String.cc
  base/StringV.cc
  base/StrMatcher.h
  base/StrMatcher.cc
  base/Regex.cc
  base/Unit.cc
  base/ExternalDataSource.cc
  base/Exception.cc
  base/UserRequestException.cc
  base/Sysconfig.cc
  base/ProfilingFormater.cc
  base/LogControl.cc
  base/Xml.cc
)

SET( zypp_base_HEADERS
  base/Backtrace.h
  base/Collector.h
  base/DrunkenBishop.h
  base/SerialNumber.h
  base/Easy.h
  base/Env.h
  base/Errno.h
  base/fXstream.h
  base/Random.h
  base/Algorithm.h
  base/Counter.h
  base/Debug.h
  base/DefaultIntegral.h
  base/DtorReset.h
  base/Exception.h
  base/UserRequestException.h
  base/EnumClass.h
  base/ExternalDataSource.h
  base/Flags.h
  base/Function.h
  base/Functional.h
  base/Gettext.h
  base/GzStream.h
  base/Hash.h
  base/IOStream.h
  base/IOTools.h
  base/InputStream.h
  base/Iterable.h
  base/Iterator.h
  base/Json.h
  base/LocaleGuard.h
  base/LogControl.h
  base/LogTools.h
  base/Logger.h
  base/Measure.h
  base/NamedValue.h
  base/NonCopyable.h
  base/ProfilingFormater.h
  base/ProvideNumericId.h
  base/PtrTypes.h
  base/ReferenceCounted.h
  base/SetRelationMixin.h
  base/SetTracker.h
  base/Signal.h
  base/SimpleStreambuf.h
  base/String.h
  base/StringV.h
  base/StrMatcher.h
  base/Regex.h
  base/Sysconfig.h
  base/TypeTraits.h
  base/Unit.h
  base/ValueTransform.h
  base/WatchFile.h
  base/Xml.h
)

IF (ENABLE_ZCHUNK_COMPRESSION)

  list( APPEND zypp_base_SRCS
    base/ZckStream.cc
  )

  list( APPEND zypp_base_HEADERS
    base/ZckStream.h
  )

ENDIF(ENABLE_ZCHUNK_COMPRESSION)

INSTALL(  FILES
  ${zypp_base_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/base
)

SET( zypp_media_SRCS
  media/CurlHelper.cc
  media/MediaException.cc
  media/MediaAccess.cc
  media/MediaHandler.cc
  media/Mount.cc
  media/MediaNFS.cc
  media/MediaCD.cc
  media/MediaDIR.cc
  media/MediaDISK.cc
  media/MediaCIFS.cc
  media/ProxyInfo.cc
  media/MediaCurl.cc
  media/MediaMultiCurl.cc
  media/MediaISO.cc
  media/MediaPlugin.cc
  media/MediaSource.cc
  media/MediaManager.cc
  media/MediaUserAuth.cc
  media/CredentialFileReader.cc
  media/CredentialManager.cc
  media/CurlConfig.cc
  media/TransferSettings.cc
  media/MediaPriority.cc
  media/MetaLinkParser.cc
  media/ZsyncParser.cc
  media/MediaBlockList.cc
  media/UrlResolverPlugin.cc
)

SET( zypp_media_HEADERS
  media/MediaAccess.h
  media/MediaCD.h
  media/MediaCIFS.h
  media/MediaCurl.h
  media/MediaMultiCurl.h
  media/MediaDIR.h
  media/MediaDISK.h
  media/MediaException.h
  media/MediaHandler.h
  media/MediaISO.h
  media/MediaPlugin.h
  media/MediaManager.h
  media/MediaNFS.h
  media/MediaSource.h
  media/MediaUserAuth.h
  media/Mount.h
  media/ProxyInfo.h
  media/CredentialFileReader.h
  media/CredentialManager.h
  media/CurlConfig.h
  media/TransferSettings.h
  media/MediaPriority.h
  media/MetaLinkParser.h
  media/ZsyncParser.h
  media/MediaBlockList.h
  media/UrlResolverPlugin.h
)

INSTALL(  FILES
  ${zypp_media_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/media
)

IF ( LIBPROXY_FOUND )
  SET(zypp_media_proxyinfo_libproxy_SRCS media/proxyinfo/ProxyInfoLibproxy.cc)
  SET(zypp_media_proxyinfo_libproxy_HEADERS media/proxyinfo/ProxyInfoLibproxy.h)
ENDIF( LIBPROXY_FOUND )

SET( zypp_media_proxyinfo_SRCS
  media/proxyinfo/ProxyInfoSysconfig.cc
  ${zypp_media_proxyinfo_libproxy_SRCS}
)

SET( zypp_media_proxyinfo_HEADERS
  media/proxyinfo/ProxyInfoImpl.h
  media/proxyinfo/ProxyInfoSysconfig.h
  ${zypp_media_proxyinfo_libproxy_HEADERS}
  media/proxyinfo/ProxyInfos.h
)

INSTALL(  FILES
  ${zypp_media_proxyinfo_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/media/proxyinfo
)

SET( zypp_parser_SRCS
  parser/ParseException.cc
  parser/IniParser.cc
  parser/IniDict.cc
  parser/HistoryLogReader.cc
  parser/RepoFileReader.cc
  parser/RepoindexFileReader.cc
  parser/ServiceFileReader.cc
  parser/ProductFileReader.cc
)

SET( zypp_parser_HEADERS
  parser/ParseException.h
  parser/IniParser.h
  parser/IniDict.h
  parser/HistoryLogReader.h
  parser/ParserProgress.h
  parser/RepoFileReader.h
  parser/RepoindexFileReader.h
  parser/ServiceFileReader.h
  parser/ProductFileReader.h
)

INSTALL(  FILES
  ${zypp_parser_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/parser
)

SET( zypp_parser_susetags_SRCS
  parser/susetags/RepoIndex.cc
  parser/susetags/ContentFileReader.cc
)

SET( zypp_parser_susetags_HEADERS
  parser/susetags/RepoIndex.h
  parser/susetags/ContentFileReader.h
)

INSTALL(  FILES
  ${zypp_parser_susetags_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/parser/susetags
)

SET( zypp_parser_xml_SRCS
  parser/xml/Node.cc
  parser/xml/ParseDef.cc
  parser/xml/ParseDefConsume.cc
  parser/xml/ParseDefException.cc
  parser/xml/Reader.cc
  parser/xml/XmlEscape.cc
  parser/xml/XmlString.cc
  parser/xml/libxmlfwd.cc
)

SET( zypp_parser_xml_HEADERS
  parser/xml/Parse.h
  parser/xml/Node.h
  parser/xml/ParseDef.h
  parser/xml/ParseDefConsume.h
  parser/xml/ParseDefException.h
  parser/xml/ParseDefTraits.h
  parser/xml/Reader.h
  parser/xml/XmlEscape.h
  parser/xml/XmlString.h
  parser/xml/libxmlfwd.h
)

INSTALL(  FILES
  ${zypp_parser_xml_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/parser/xml
)

SET( zypp_parser_yum_SRCS
  parser/yum/RepomdFileReader.cc
)

SET( zypp_parser_yum_HEADERS
  parser/yum/RepomdFileReader.h
)

INSTALL(  FILES
  ${zypp_parser_yum_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/parser/yum
)

SET( zypp_pool_SRCS
  pool/PoolImpl.cc
  pool/PoolStats.cc
)

SET( zypp_pool_HEADERS
  pool/PoolImpl.h
  pool/PoolStats.h
  pool/PoolTraits.h
  pool/ByIdent.h
)

INSTALL(  FILES
  ${zypp_pool_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/pool
)

# SET( zypp_solver_detail_SRCS )

SET( zypp_solver_HEADERS
  solver/Types.h
)

INSTALL(  FILES
  ${zypp_solver_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/solver
)

SET( zypp_solver_detail_SRCS
  solver/detail/ProblemSolutionIgnore.cc
  solver/detail/ProblemSolutionCombi.cc
  solver/detail/Resolver.cc
  solver/detail/SolutionAction.cc
  solver/detail/Testcase.cc
  solver/detail/SolverQueueItem.cc
  solver/detail/SolverQueueItemInstall.cc
  solver/detail/SolverQueueItemDelete.cc
  solver/detail/SolverQueueItemUpdate.cc
  solver/detail/SolverQueueItemInstallOneOf.cc
  solver/detail/SolverQueueItemLock.cc
  solver/detail/SATResolver.cc
  solver/detail/SystemCheck.cc
)

SET( zypp_solver_detail_HEADERS
  solver/detail/ProblemSolutionIgnore.h
  solver/detail/ProblemSolutionCombi.h
  solver/detail/Resolver.h
  solver/detail/SolutionAction.h
  solver/detail/Testcase.h
  solver/detail/Types.h
  solver/detail/SolverQueueItem.h
  solver/detail/SolverQueueItemInstall.h
  solver/detail/SolverQueueItemDelete.h
  solver/detail/SolverQueueItemUpdate.h
  solver/detail/SolverQueueItemInstallOneOf.h
  solver/detail/SolverQueueItemLock.h
  solver/detail/ItemCapKind.h
  solver/detail/SATResolver.h
  solver/detail/SystemCheck.h
)

INSTALL(  FILES
  ${zypp_solver_detail_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/solver/detail
)

SET( zypp_sat_SRCS
  sat/Pool.cc
  sat/Solvable.cc
  sat/SolvableSet.cc
  sat/SolvableSpec.cc
  sat/SolvIterMixin.cc
  sat/Map.cc
  sat/Queue.cc
  sat/FileConflicts.cc
  sat/Transaction.cc
  sat/WhatProvides.cc
  sat/WhatObsoletes.cc
  sat/LocaleSupport.cc
  sat/LookupAttr.cc
  sat/SolvAttr.cc
)

SET( zypp_sat_HEADERS
  sat/Pool.h
  sat/Solvable.h
  sat/SolvableSet.h
  sat/SolvableType.h
  sat/SolvableSpec.h
  sat/SolvIterMixin.h
  sat/Map.h
  sat/Queue.h
  sat/FileConflicts.h
  sat/Transaction.h
  sat/WhatProvides.h
  sat/WhatObsoletes.h
  sat/LocaleSupport.h
  sat/LookupAttr.h
  sat/LookupAttrTools.h
  sat/SolvAttr.h
)

INSTALL(  FILES
  ${zypp_sat_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/sat
)

SET( zypp_sat_detail_SRCS
  sat/detail/PoolImpl.cc
)

SET( zypp_sat_detail_HEADERS
  sat/detail/PoolMember.h
  sat/detail/PoolImpl.h
)

INSTALL(  FILES
  ${zypp_sat_detail_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/zypp/sat/detail
)


SET( zypp_target_SRCS
  target/RpmPostTransCollector.cc
  target/RequestedLocalesFile.cc
  target/SolvIdentFile.cc
  target/HardLocksFile.cc
  target/CommitPackageCache.cc
  target/CommitPackageCacheImpl.cc
  target/CommitPackageCacheReadAhead.cc

=== tests/lib/CMakeLists.txt ===
find_program( NGINX nginx )
find_library( LIBFCGI NAMES fcgi )
find_library( LIBFCGI++ NAMES fcgi++ )

if ( NOT NGINX )
  message( FATAL_ERROR "nginx not found" )
else()
  message ( "Using nginx binary at: ${NGINX}" )
  ADD_DEFINITIONS( -DWEBSRV_BINARY="${NGINX}" )
endif()

if ( NOT LIBFCGI )
  message( FATAL_ERROR "libfcgi not found" )
else()
  message ( "Using libfcgi library at: ${LIBFCGI}" )
endif()

if ( NOT LIBFCGI++ )
  message( FATAL_ERROR "libfcgi++ not found" )
else()
  message ( "Using libfcgi++ library at: ${LIBFCGI++}" )
endif()

add_definitions( -DSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")

ADD_LIBRARY(zypp_test_utils
 TestSetup.h
 WebServer.h
 WebServer.cc
)

TARGET_LINK_LIBRARIES( zypp_test_utils zypp-allsym ${LIBFCGI} ${LIBFCGI++} pthread )

=== tests/parser/CMakeLists.txt ===
ADD_SUBDIRECTORY( yum )
ADD_SUBDIRECTORY( inifile )

ADD_TESTS( ProductFileReader )
ADD_TESTS( RepoFileReader )
ADD_TESTS( RepoindexFileReader )
ADD_TESTS( HistoryLogReader )

=== tests/sat/CMakeLists.txt ===

# to find the KeyRingTest receiver
INCLUDE_DIRECTORIES( ${LIBZYPP_SOURCE_DIR}/tests/zypp )

ADD_TESTS(
  IdString
  LookupAttr
  Pool
  Queue
  Map
  Solvable
  SolvableSpec
  SolvParsing
  WhatObsoletes
  WhatProvides
)

=== tests/zypp/CMakeLists.txt ===
ADD_SUBDIRECTORY(base)

ADD_TESTS(
  Arch
  Capabilities
  CheckSum
  ContentType
  CpeId
  Date
  DrunkenBishop
  Dup
  Digest
  Deltarpm
  Edition
  ExtendedPool
  FileChecker
  Flags
  GZStream
  InstanceId
  KeyRing
  Locale
  Locks
  PathInfo
  Pathname
  PluginFrame
  PoolQueryCC
  PoolQuery
  ProgressData
  PtrTypes
  PublicKey
  PurgeKernels
  RWPtr
  RepoManager
  RepoStatus
  ResKind
  Resolver
  ResStatus
  RpmPkgSigCheck
  Selectable
  SetRelationMixin
  SetTracker
  StrMatcher
  StringV
  Target
  Url
  UserData
  Vendor
)

IF (ENABLE_ZCHUNK_COMPRESSION)
  ADD_TESTS (
    ZChunk
  )
ENDIF(ENABLE_ZCHUNK_COMPRESSION)

IF( NOT DISABLE_MEDIABACKEND_TESTS )
  ADD_TESTS(
    Fetcher
    MediaSetAccess
    RepoInfo
  )
ENDIF()

=== tests/zyppng/CMakeLists.txt ===
ADD_TESTS(
  EventLoop
)

ADD_SUBDIRECTORY( media )

=== zypp/zyppng/CMakeLists.txt ===
SET( zyppng_base_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/base/abstracteventsource.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/base/base.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/base/eventdispatcher_glib.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/base/timer.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/base/socketnotifier.cc
)

SET( zyppng_base_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/base/AbstractEventSource
  ${CMAKE_CURRENT_SOURCE_DIR}/base/abstracteventsource.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/Base
  ${CMAKE_CURRENT_SOURCE_DIR}/base/base.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/EventDispatcher
  ${CMAKE_CURRENT_SOURCE_DIR}/base/eventdispatcher.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/signals.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/SocketNotifier
  ${CMAKE_CURRENT_SOURCE_DIR}/base/socketnotifier.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/Timer
  ${CMAKE_CURRENT_SOURCE_DIR}/base/timer.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/zyppglobal.h
)

SET( zyppng_base_private_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/base/private/abstracteventsource_p.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/private/base_p.h
  ${CMAKE_CURRENT_SOURCE_DIR}/base/private/eventdispatcher_glib_p.h
)


SET( zyppng_core_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/core/url.h
  ${CMAKE_CURRENT_SOURCE_DIR}/core/Url
  ${CMAKE_CURRENT_SOURCE_DIR}/core/idstring.h
  ${CMAKE_CURRENT_SOURCE_DIR}/core/IdString
)

SET( zyppng_media_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/downloader.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/networkrequestdispatcher.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/networkrequesterror.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/request.cc
)

SET( zyppng_media_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/AuthData
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/authdata.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/downloader.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/networkrequestdispatcher.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/networkrequesterror.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/request.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/transfersettings.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/TransferSettings
)

SET( zyppng_media_private_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/private/downloader_p.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/private/networkrequestdispatcher_p.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/private/networkrequesterror_p.h
  ${CMAKE_CURRENT_SOURCE_DIR}/media/network/private/request_p.h
)

SET ( zyppng_HEADERS
  ${zyppng_base_HEADERS}
  ${zyppng_base_private_HEADERS}
  ${zyppng_core_HEADERS}
  ${zyppng_media_HEADERS}
  ${zyppng_media_private_HEADERS}
  PARENT_SCOPE
)

SET ( zyppng_SRCS
  ${zyppng_base_SRCS}
  ${zyppng_media_SRCS}
  PARENT_SCOPE
)

=== tests/parser/yum/CMakeLists.txt ===
ADD_TESTS(RepomdFileReader)

=== tests/zyppng/media/CMakeLists.txt ===
IF( NOT DISABLE_MEDIABACKEND_TESTS)
  ADD_TESTS(
    NetworkRequestDispatcher
    EvDownloader
  )
ENDIF()

=== debian/changelog ===
libzypp (17.25.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update versioned B-D: libsolv-dev (>= 0.7.17).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Feb 2021 12:08:04 +0100

libzypp (17.25.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Fix D (in bin:pkg libzypp-dev): libsolv0-dev -> libsolv-dev. (Also fix
      minimal version required).
    + Fix S (in libzypp-doc): libzypp1702 -> libzypp1722.
  * debian/patches:
    + Trivial rebase of all patches.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Jan 2021 16:48:04 +0100

libzypp (17.25.5-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/patches:
    + Update 1003_various-typo-fixes.patch. More typo fixes.
    + Add patch header to 1004_fix-fastcgi-includes.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Jan 2021 16:04:21 +0100

libzypp (17.25.5-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release.
    - Fix FTBFS in MediaSetAccess_test. (Closes: #977228).
    - CVE-2019-18900: Fix cookies file permissions. (Closes: #953362).
  * debian/*:
    + SONAME change (1702 -> 1722).
  * debian/patches:
    + Add 1004_fix-fastcgi-includes.patch. Fix include paths for fastcgi
      headers.
    + Trivial rebase of patches 1002 and 1003.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Various adaptations in B-D field. (Closes: #960619).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/watch:
    + Switch to format version 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse. Thanks, lintian-brush.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Jan 2021 22:31:18 +0100

=== debian/control ===
Source: libzypp
Section: libs
Maintainer: Mike Gabriel <sunweaver@debian.org>
Priority: optional
Standards-Version: 4.5.1
Build-Depends: asciidoctor,
               debhelper (>= 10~),
               dpkg-dev (>= 1.16.1.1~),
               cdbs,
               cmake,
               pkg-config,
               librpm-dev (>= 4.4),
               rpm,
               libboost-dev,
               libboost-program-options-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libfcgi-dev,
               libglib2.0-dev,
               libgpgme-dev,
               libsigc++-2.0-dev,
               libssl-dev,
               libyaml-cpp-dev,
               doxygen,
               ruby,
               libcurl4-openssl-dev (>= 7.19.4),
               libudev-dev,
               libxml2-dev,
               libsolv-dev (>= 0.7.17),
               libsolv-tools,
               libexpat-dev,
               libpopt-dev,
               libproxy-dev,
               graphviz,
               gnupg2,
               dejagnu,
               nginx,
Rules-Requires-Root: no
Homepage: https://github.com/openSUSE/libzypp
Vcs-Git: https://salsa.debian.org/debian/libzypp.git
Vcs-Browser: https://salsa.debian.org/debian/libzypp

Package: libzypp1722
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 rpm,
 gnupg | gnupg2,
 libsolv-tools,
Recommends:
 libzypp-common (>= ${source:Version}),
 libzypp-config (>= ${source:Version}),
 libzypp-bin (>= ${source:Version}),
 logrotate,
 lsof,
Suggests:
 libzypp-doc (>= ${source:Version}),
Breaks:
 libzypp (<< 17.22),
 zypper (<< 1.14),
Replaces:
 libzypp (<< 17.22),
Description: openSUSE/SLES package management system (library)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the main shared library for the zypper package
 management system.

Package: libzypp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librpm-dev (>= 4.4),
 libboost-dev,
 libboost-program-options-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libgpgme-dev,
 libssl-dev,
 libcurl4-openssl-dev (>= 7.19.4),
 libudev-dev,
 libxml2-dev,
 libsolv-dev (>= 0.7.16-2~),
 libexpat-dev,
 libpopt-dev,
 libproxy-dev,
 libzypp1722 (= ${binary:Version}),
Description: openSUSE/SLES package management system library (development files)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the development files for the libzypp library.

Package: libzypp-common
Architecture: all
Depends:
 ${misc:Depends},
Description: openSUSE/SLES package management system library (common files)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the architecture-independent files for the libzypp
 library.

Package: libzypp-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libzypp-config (>= ${source:Version}),
Description: openSUSE/SLES package management system library (library tools)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains command line tools shipped with the libzypp library.

Package: libzypp-config
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libzypp-common (>= ${source:Version}),
Description: openSUSE/SLES package management system library (configuration)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package ships the configuration files for the libzypp library.

Package: libzypp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libjs-jquery,
Suggests:
 libzypp1722,
 libzypp-dev,
Description: openSUSE/SLES package management system library (documentation)
 libzypp is the package management library that powers applications like
 YaST, zypper and the openSUSE/SLE implementation of PackageKit.
 .
 libzypp provides all the functionality for a package manager:
 .
   - an API for package repository management, supporting most common
     repository metadata formats and signed repositories
   - an API for solving packages, products, patterns and patches (installation,
     removal, update and distribution upgrade operations) dependencies, with
     additional features like locking
   - an API for comitting the transaction to the system over a rpm target;
     supporting deltarpm calculation, media changing and installation order
     calculation
   - an API for browsing available and installed software, with some facilities
     for programs with an user interface
   - a suite of maintained solving testcases representing common and uncommon
     operations on Linux software management
 .
 This package contains the API documentation of the libzypp library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/libzypp-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/openSUSE/libzypp/tags .*/archive/([\d\.]+).tar.gz
